Bug 122878 - Wrong wrap with shape in footer
Summary: Wrong wrap with shape in footer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords:
Depends on:
Blocks: Writer-Header-Footer Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2019-01-22 12:48 UTC by Patrick Jaap
Modified: 2019-02-12 03:19 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (29.61 KB, application/vnd.oasis.opendocument.text-flat-xml)
2019-01-22 12:49 UTC, Patrick Jaap
Details
same sample file with shape in header (works fine) (29.60 KB, application/vnd.oasis.opendocument.text-flat-xml)
2019-01-22 12:53 UTC, Patrick Jaap
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Jaap 2019-01-22 12:48:35 UTC
Description:
The sample file has a shape anchored in footer but positioned in body. Wrap is set to "none" but the text in body wraps through.

The bug originates from https://bugs.documentfoundation.org/show_bug.cgi?id=116989 

Steps to Reproduce:
1. Open sample file

Actual Results:
Wrap through

Expected Results:
No wrap


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Patrick Jaap 2019-01-22 12:49:20 UTC
Created attachment 148513 [details]
sample file
Comment 2 Patrick Jaap 2019-01-22 12:53:10 UTC
Created attachment 148514 [details]
same sample file with shape in header (works fine)

anchoring the shape in header yields correct result
Comment 3 Miklos Vajna 2019-01-22 13:00:09 UTC
Confirmed.
Comment 4 Xisco Faulí 2019-01-23 11:53:28 UTC
Also reproduced in

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.15; Render: default; 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 5 Commit Notification 2019-02-05 13:55:53 UTC
Patrick Jaap committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8e3afdb5989d571410350f1d43fcf26492a4eaff%5E%21

tdf#122878: enable wrap for flys in footer

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-02-11 17:10:05 UTC
Patrick Jaap committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7ed962571df02d1d7b286e7af534fadd717a8003%5E%21

tdf#122878: enable wrap for flys in footer

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.